# 官方文档
# https://docs.linuxserver.io/images/docker-transmission
# https://hub.docker.com/r/linuxserver/transmission
# PT玩家看站规！！！
# PT玩家看站规！！！
# PT玩家看站规！！！

---
version: "3"
# 最后编辑时间：2024-03-11
services:
  transmission:
    image: linuxserver/transmission:latest
    # 镜像地址，如需改用3.x版本，把latest改为version-3.00-r8
    container_name: transmission
    # 容器名字
    hostname: transmission
    # 主机名
    # privileged: true
    # 特权模式，赋予容器几乎与主机相同的权限
    volumes:
      - /volume1/docker/transmission:/config
      # 配置文件目录
      - /volume1/downloads:/downloads
      # 默认下载目录
      # - /volume1/docker/Torrents监控自动下载目录:/watch
      # 种子监控自动下载目录，非必须，用于把种子放到目录内后，自动添加下载任务
      # - 【这里替换为你想映射到TR内的路径】:/【这里替换为你想映射到TR内的路径】
      # 可以自定义，可以写多个，这里如果你理解了映射是什么，就会明白是什么意思，如果不会，别写
      # 如果你不理解映射，不要修改tr设置里的下载目录，保持/downloads，要分类下载就写在/downloads后面！！！如/downloads/电影
      # 如果你不理解映射，不要修改tr设置里的下载目录，保持/downloads，要分类下载就写在/downloads后面！！！如/downloads/电影
      # 如果你不理解映射，不要修改tr设置里的下载目录，保持/downloads，要分类下载就写在/downloads后面！！！如/downloads/电影
    environment:
      - TRANSMISSION_WEB_HOME=/config/webui
      # WEBUI主页路径，写容器路径，用于放汉化文件
      # 4.x版本的汉化文件下载地址：https://github.com/ronggang/transmission-web-control
      # 将 "/src" 这个文件夹里的东西放到 "/config/webui" 内即可
      - USER=cheems
      - PASS=cheems
      # TR账号密码，预设为cheems，记住一定要修改密码，否则后果自负
      - PEERPORT=14569
      # 自定义peer传输端口
      - PUID=1000
      - PGID=100
      # 用户和用户组权限，ssh中使用“id 用户名”查看，用户组一般为100(users)
      # 第一个用户而言，群晖为1026，新绿联为1001，linux类系统为1000，后续用户均+1
      # 如果出现无法下载的情况，改为0
      - UMASK=022
      # 默认创建新文件的权限，一般写022
      - TZ=Asia/Shanghai
      # 时区
    # network_mode: bridge
    network_mode: host
    # 推荐用host网络模式，支持ipv6
    # 如需修改WebUI的端口，到/config/setting.json中第54行的"rpc-port": 9091的端口改为自定义端口
    # host模式需要容器内的端口不被占用，不需要端口映射，后续端口映射全都开头加#注释掉，否则注释掉这条
    # ports:
      # - 9091:9091/tcp
      # WebUI 端口
      # - 14569:14569/tcp
      # - 14569:14569/udp
      # 传输端口
    restart: unless-stopped
    # 重启策略，可根据实际情况而选择 no/always/unless-stopped/on-failure/on-failure:3
